-- by baumi@freenet.de

-- die datei korsun_1944.pak bitte in dieses verzeichnis kopieren: 
-- C:\Programme\NivalInteractive\Blitzkrieg\Run\Data.
-- viel spa !



DisplayTrace ("KAPITEL: KORSUNER KESSEL. TEIL 2 VON 3.");			 
------------------------------------------------------------------------------------------------------------------------------------------------------------------------



-- 1. SIEG- und NIEDERLAGEFUNKTION



function beginn()

	if (GetNUnitsInParty(0) > 1) then

	ShowActiveScripts();

	ViewZone ("KARTE", 1);
	ViewZone ("DEPOT_1", 1);
	ViewZone ("BAHNHOF", 1);
	ViewZone ("SPOLA", 1);

--	Suicide();

	end;

end;

function sieg()

--	if (GetNUnitsInArea(0, "KARTE") > 1) then

	if (GetNUnitsInArea(1, "DEPOT_1") < 1) 
	and (GetNUnitsInArea(1, "BAHNHOF") < 1)
	and (GetNUnitsInArea(1, "SPOLA") < 1) then

	DisplayTrace ("-----------------------------------------------------------------------------------------------");	
	DisplayTrace ("                               HERVORRAGENDE LEISTUNG !");	
	DisplayTrace ("-----------------------------------------------------------------------------------------------");
	Win(0);
        
	Suicide();
        
	end;

end;

function niederlage()

	if (GetNUnitsInArea(0, "KARTE") < 2) then

	Loose();
        
	Suicide();

        end;

end;



-- 2. ZIELARTIKULATION



function ziel_start()

	if (GetNUnitsInParty (0) > 1) then

        RunScript( "ziel_1", 5000);
        RunScript( "ziel_2", 15000);
        RunScript( "ziel_3", 25000);

	SetIGlobalVar("dt_inf_west", 0);	
	SetIGlobalVar("dt_inf_zentrum", 0);	
	SetIGlobalVar("dt_inf_ost", 0);	
	SetIGlobalVar("dt_inf_smila", 0);	
	SetIGlobalVar("dt_pak_smila", 0);	

	SetIGlobalVar("pat_start", 0);	

	LandReinforcement(300);						-- depot_1_a (su_gebude) aktivieren

	LandReinforcement(301);						-- depot_1_b (dt_gebude) aktivieren

	LandReinforcement(302);						-- depot_2_a (su_gebude) aktivieren

	LandReinforcement(303);						-- depot_2_b (dt_gebude) aktivieren

	LandReinforcement(110);						-- infanterie fr depot_1a aktivieren

	LandReinforcement(111);						-- infanterie fr depot_1b aktivieren

	LandReinforcement(112);						-- infanterie fr depot_2a aktivieren

	LandReinforcement(113);						-- infanterie fr depot_2b aktivieren

	dt_pz_einh_depot_1 = RandomInt (4) + 101; 			-- dt_pz_einh_depot_1 aktivieren

	LandReinforcement(dt_pz_einh_depot_1);							

	dt_inf_einh_depot_1 = RandomInt (2) + 105;			-- dt_inf_einh_depot_1 aktivieren

	LandReinforcement(dt_inf_einh_depot_1);							

	dt_ari_einh_depot_1 = RandomInt (3) + 107;			-- dt_ari_einh_depot_1 aktivieren

	LandReinforcement(dt_ari_einh_depot_1);							

	su_pz_einh_depot_1 = RandomInt (5) + 201; 			-- su_pz_einh_depot_1 aktivieren

	LandReinforcement(su_pz_einh_depot_1);							

	Suicide();

	end;

end;

function ziel_1()

	if (GetNUnitsInArea(1, "DEPOT_1") > 0) then

	DisableAviation (0, 1);
	DisableAviation (0, 2);
	DisableAviation (0, 3);
	DisableAviation (0, 4);

	DisableAviation (1, 1);
	DisableAviation (1, 2);
	DisableAviation (1, 3);
	DisableAviation (1, 4);

	SetIGlobalVar("su_ziel_depot_1", 1);

	ObjectiveChanged(0, 0);	

	Suicide();

	end;

end;

function ziel_2()

	if (GetNUnitsInArea(1, "KARTE") > 0) then

	GiveCommand(6, 110, 300);					-- infanterie gebude depot_1a besetzen
	GiveCommand(6, 112, 302);					-- infanterie gebude depot_2a besetzen

	SetIGlobalVar("su_ziel_bahnhof", 1);

	ObjectiveChanged(1, 0);	

	Suicide();

	end;

end;

function ziel_3()

	if (GetNUnitsInArea(1, "KARTE") > 0) then

	GiveCommand(6, 111, 301);					-- infanterie gebude depot_1b besetzen
	GiveCommand(6, 113, 303);					-- infanterie gebude depot_2b besetzen

	SetIGlobalVar("su_ziel_spola", 1);

	ObjectiveChanged(2, 0);	

	Suicide();

	end;

end;

function ziel_ende()

	if (GetNUnitsInArea(1, "DEPOT_1") < 1) 
	and (GetIGlobalVar("su_ziel_depot_1", 1) == 1) then

	ObjectiveChanged(0, 1);						-- "ziel_n" erfllt

	DisplayTrace ("-----------------------------------------------------------------------------------------------");	
	DisplayTrace ("SIE ERHALTEN NUN WEITERE VERSTRKUNGEN.");	
	DisplayTrace ("ERREICHEN UND SICHERN SIE DEN BAHNHOF IN SMILA.");	
	DisplayTrace ("BER IHN KNNEN WIR IHNEN WEITEREN NACHSCHUB SENDEN.");	
	DisplayTrace ("-----------------------------------------------------------------------------------------------");	

	SetIGlobalVar("su_ziel_depot_1", 2);

        RunScript( "su_verst_smila", 15000);

	dt_ari_2 = RandomInt (5) + 120;					-- dt_ari_2 aktivieren

	LandReinforcement(dt_ari_2);	

	dt_pz_grp = RandomInt (5) + 125;				-- dt_pz_grp aktivieren

	LandReinforcement(dt_pz_grp);	

	LandReinforcement(304);	

	SetIGlobalVar("pat_start", 0);	

        RunScript( "lfz_aktiv", 15000);

	end;

	if (GetNUnitsInArea(1, "BAHNHOF") < 1)
	and (GetNUnitsInScriptGroup(112) < 1) 
	and (GetNUnitsInScriptGroup(113) < 1)
	and (GetIGlobalVar("su_ziel_depot_1", 2) == 2)
  	and (GetIGlobalVar("su_ziel_bahnhof", 1) == 1) then

	ObjectiveChanged(1, 1);	

	DisplayTrace ("-----------------------------------------------------------------------------------------------");	
	DisplayTrace ("WEITERE VERSTRKUNGEN SIND VERFGBAR.");	
	DisplayTrace ("BEFREIEN SIE MIT DEREN HILFE SPOLA.");	
	DisplayTrace ("-----------------------------------------------------------------------------------------------");	

	LandReinforcement(305);	

	SetIGlobalVar("su_ziel_bahnhof", 2);

        RunScript( "su_verst_spola", 15000);

	end;

	if (GetNUnitsInArea(1, "SPOLA") < 1)
	and (GetIGlobalVar("su_ziel_depot_1", 2) == 2)
  	and (GetIGlobalVar("su_ziel_bahnhof", 2) == 2)
  	and (GetIGlobalVar("su_ziel_spola", 1) == 1) then

	ObjectiveChanged(2, 1);						

	SetIGlobalVar("su_ziel_spola", 2);

	Suicide();

	end;

end;



-- 3. DT-VERSTRKUNGEN



function dt_minen()

	if (GetNUnitsInArea(1, "KARTE") > 1) then

	LandReinforcement(114);						-- minen aktivieren

        RunScript( "dt_minen_2", 60000);
        RunScript( "dt_minen_3", 120000);
        RunScript( "dt_minen_4", 240000);

	Suicide();

	end;

end;

function dt_minen_2()

	if (GetNUnitsInArea(1, "KARTE") > 1) then

	LandReinforcement(115);						-- minen aktivieren

	Suicide();

	end;

end;

function dt_minen_3()

	if (GetNUnitsInArea(1, "KARTE") > 1) then

	LandReinforcement(116);						-- minen aktivieren

	Suicide();

	end;

end;

function dt_minen_4()

	if (GetNUnitsInArea(1, "KARTE") > 1) then

	LandReinforcement(117);						-- minen aktivieren

	Suicide();

	end;

end;

function dt_inf_west()

	if (GetIGlobalVar("dt_inf_west", 0) == 0) then

	LandReinforcement(500);
	LandReinforcement(501);
	LandReinforcement(502);
	LandReinforcement(503);
	LandReinforcement(504);
	LandReinforcement(505);

        RunScript ("dt_inf_west_stellung", 30000);

	SetIGlobalVar("dt_inf_west", 1);	

	Suicide();

	end;

end;

function dt_inf_west_stellung()

	if (GetIGlobalVar("dt_inf_west", 1) == 1) then

	GiveCommand(6, 500, 400);
	GiveCommand(6, 501, 401);
	GiveCommand(6, 502, 402);
	GiveCommand(6, 503, 403);
	GiveCommand(6, 504, 404);
	GiveCommand(6, 505, 405);

        RunScript ("dt_inf_west_stellung_2", 40000);

	SetIGlobalVar("dt_inf_west", 2);

	Suicide();

	end;

end;

function dt_inf_west_stellung_2()

	if (GetIGlobalVar("dt_inf_west", 2) == 2) then

	GiveCommand(6, 500, 400);
	GiveCommand(6, 501, 401);
	GiveCommand(6, 502, 402);
	GiveCommand(6, 503, 403);
	GiveCommand(6, 504, 404);
	GiveCommand(6, 505, 405);

	SetIGlobalVar("dt_inf_west", 3);

	Suicide();

	end;

end;

function dt_inf_zentrum()

	if (GetIGlobalVar("dt_inf_zentrum", 0) == 0) then

	LandReinforcement(506);
	LandReinforcement(507);
	LandReinforcement(508);
	LandReinforcement(509);
	LandReinforcement(510);
	LandReinforcement(511);
	LandReinforcement(512);
	LandReinforcement(513);

        RunScript ("dt_inf_zentrum_stellung", 50000);

	SetIGlobalVar("dt_inf_zentrum", 1);	

	Suicide();

	end;

end;

function dt_inf_zentrum_stellung()

	if (GetIGlobalVar("dt_inf_zentrum", 1) == 1) then

	GiveCommand(6, 506, 406);
	GiveCommand(6, 507, 407);
	GiveCommand(6, 508, 408);
	GiveCommand(6, 509, 409);
	GiveCommand(6, 510, 410);
	GiveCommand(6, 511, 411);
	GiveCommand(6, 512, 412);
	GiveCommand(6, 513, 413);

        RunScript ("dt_inf_zentrum_stellung_2", 60000);

	SetIGlobalVar("dt_inf_zentrum", 2);	

	Suicide();

	end;

end;

function dt_inf_zentrum_stellung_2()

	if (GetIGlobalVar("dt_inf_zentrum", 2) == 2) then

	GiveCommand(6, 506, 406);
	GiveCommand(6, 507, 407);
	GiveCommand(6, 508, 408);
	GiveCommand(6, 509, 409);
	GiveCommand(6, 510, 410);
	GiveCommand(6, 511, 411);
	GiveCommand(6, 512, 412);
	GiveCommand(6, 513, 413);

	SetIGlobalVar("dt_inf_zentrum", 3);	

	Suicide();

	end;

end;

function dt_inf_ost()

	if (GetIGlobalVar("dt_inf_ost", 0) == 0) then

	LandReinforcement(514);
	LandReinforcement(515);
	LandReinforcement(516);
	LandReinforcement(517);
	LandReinforcement(518);
	LandReinforcement(519);
	LandReinforcement(520);
	LandReinforcement(521);
	LandReinforcement(522);
	LandReinforcement(523);
	LandReinforcement(524);
	LandReinforcement(525);
	LandReinforcement(526);
	LandReinforcement(527);
	LandReinforcement(528);
	LandReinforcement(529);
	LandReinforcement(530);
	LandReinforcement(531);

        RunScript ("dt_inf_ost_stellung", 70000);

	SetIGlobalVar("dt_inf_ost", 1);	

	Suicide();

	end;

end;

function dt_inf_ost_stellung()

	if (GetIGlobalVar("dt_inf_ost", 1) == 1) then

	GiveCommand(6, 514, 414);
	GiveCommand(6, 515, 415);
	GiveCommand(6, 516, 416);
	GiveCommand(6, 517, 417);
	GiveCommand(6, 518, 418);
	GiveCommand(6, 519, 419);
	GiveCommand(6, 520, 420);
	GiveCommand(6, 521, 421);
	GiveCommand(6, 522, 422);
	GiveCommand(6, 523, 423);
	GiveCommand(6, 524, 424);
	GiveCommand(6, 525, 425);
	GiveCommand(6, 526, 426);
	GiveCommand(6, 527, 427);
	GiveCommand(6, 528, 428);
	GiveCommand(6, 529, 429);
	GiveCommand(6, 530, 430);
	GiveCommand(6, 531, 431);

        RunScript ("dt_inf_ost_stellung_2", 80000);

	SetIGlobalVar("dt_inf_ost", 2);	

	Suicide();

	end;

end;

function dt_inf_ost_stellung_2()

	if (GetIGlobalVar("dt_inf_ost", 2) == 2) then

	GiveCommand(6, 514, 414);
	GiveCommand(6, 515, 415);
	GiveCommand(6, 516, 416);
	GiveCommand(6, 517, 417);
	GiveCommand(6, 518, 418);
	GiveCommand(6, 519, 419);
	GiveCommand(6, 520, 420);
	GiveCommand(6, 521, 421);
	GiveCommand(6, 522, 422);
	GiveCommand(6, 523, 423);
	GiveCommand(6, 524, 424);
	GiveCommand(6, 525, 425);
	GiveCommand(6, 526, 426);
	GiveCommand(6, 527, 427);
	GiveCommand(6, 528, 428);
	GiveCommand(6, 529, 429);
	GiveCommand(6, 530, 430);
	GiveCommand(6, 531, 431);

	SetIGlobalVar("dt_inf_ost", 3);	

	Suicide();

	end;

end;

function dt_inf_smila()

	if (GetIGlobalVar("dt_inf_smila", 0) == 0) then

	LandReinforcement(700);
	LandReinforcement(701);
	LandReinforcement(702);
	LandReinforcement(703);
	LandReinforcement(704);
	LandReinforcement(705);
	LandReinforcement(706);
	LandReinforcement(707);
	LandReinforcement(708);
	LandReinforcement(709);
	LandReinforcement(710);
	LandReinforcement(711);
	LandReinforcement(712);
	LandReinforcement(713);
	LandReinforcement(714);
	LandReinforcement(715);
	LandReinforcement(716);
	LandReinforcement(717);
	LandReinforcement(718);
	LandReinforcement(719);
	LandReinforcement(720);
	LandReinforcement(721);
	LandReinforcement(722);
	LandReinforcement(723);

	SetIGlobalVar("dt_inf_smila", 1);	

        RunScript ("dt_inf_smila_stellung", 90000);

	Suicide();

	end;

end;

function dt_inf_smila_stellung()

	if (GetIGlobalVar("dt_inf_smila", 1) == 1) then

	GiveCommand(6, 700, 600);
	GiveCommand(6, 701, 601);
	GiveCommand(6, 702, 602);
	GiveCommand(6, 703, 603);
	GiveCommand(6, 704, 604);
	GiveCommand(6, 705, 605);
	GiveCommand(6, 706, 606);
	GiveCommand(6, 707, 607);
	GiveCommand(6, 708, 608);
	GiveCommand(6, 709, 609);
	GiveCommand(6, 710, 610);
	GiveCommand(6, 711, 611);
	GiveCommand(6, 712, 612);
	GiveCommand(6, 713, 613);
	GiveCommand(6, 714, 614);
	GiveCommand(6, 715, 615);
	GiveCommand(6, 716, 616);
	GiveCommand(6, 717, 617);
	GiveCommand(6, 718, 618);
	GiveCommand(6, 719, 619);
	GiveCommand(6, 720, 620);
	GiveCommand(6, 721, 621);
	GiveCommand(6, 722, 622);
	GiveCommand(6, 723, 623);

	SetIGlobalVar("dt_inf_smila", 2);	

        RunScript ("dt_inf_smila_stellung_2", 1000000);

	Suicide();

	end;

end;

function dt_inf_smila_stellung_2()

	if (GetIGlobalVar("dt_inf_smila", 2) == 2) then

	GiveCommand(6, 700, 600);
	GiveCommand(6, 701, 601);
	GiveCommand(6, 702, 602);
	GiveCommand(6, 703, 603);
	GiveCommand(6, 704, 604);
	GiveCommand(6, 705, 605);
	GiveCommand(6, 706, 606);
	GiveCommand(6, 707, 607);
	GiveCommand(6, 708, 608);
	GiveCommand(6, 709, 609);
	GiveCommand(6, 710, 610);
	GiveCommand(6, 711, 611);
	GiveCommand(6, 712, 612);
	GiveCommand(6, 713, 613);
	GiveCommand(6, 714, 614);
	GiveCommand(6, 715, 615);
	GiveCommand(6, 716, 616);
	GiveCommand(6, 717, 617);
	GiveCommand(6, 718, 618);
	GiveCommand(6, 719, 619);
	GiveCommand(6, 720, 620);
	GiveCommand(6, 721, 621);
	GiveCommand(6, 722, 622);
	GiveCommand(6, 723, 623);

	SetIGlobalVar("dt_inf_smila", 3);	

	Suicide();

	end;

end;


function dt_pak_smila()

	if (GetIGlobalVar("dt_pak_smila", 0) == 0) then

	dt_pak_smila = RandomInt (4) + 800;			

	LandReinforcement(dt_pak_smila);

	SetIGlobalVar("dt_pak_smila", 1);	

	Suicide();
	
	end;

end;

function dt_pz_grp()

local x, y = GetScriptAreaParams ("PAT_1");
local x1, y1 = GetScriptAreaParams ("PAT_2");
local x2, y2 = GetScriptAreaParams ("PAT_3");
local x3, y3 = GetScriptAreaParams ("PAT_4");
local x4, y4 = GetScriptAreaParams ("PAT_5");
local x5, y5 = GetScriptAreaParams ("PAT_6");
local x6, y6 = GetScriptAreaParams ("PAT_7");

	if (GetIGlobalVar("pat_start", 0) == 0) then

	GiveCommand (3, 125); GiveQCommand (3, 125, x, y); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x, y); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x, y); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x, y); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x, y); 

	SetIGlobalVar("pat_start", 1);	

	end;

	if (GetNScriptUnitsInArea (125, "PAT_1") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_1") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_1") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_1") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_1") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x1, y1); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x1, y1); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x1, y1); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x1, y1); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x1, y1); 

	end;

	if (GetNScriptUnitsInArea (125, "PAT_2") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_2") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_2") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_2") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_2") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x2, y2); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x2, y2); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x2, y2); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x2, y2); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x2, y2); 

	end;

	if (GetNScriptUnitsInArea (125, "PAT_3") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_3") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_3") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_3") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_3") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x3, y3); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x3, y3); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x3, y3); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x3, y3); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x3, y3); 

	end;

	if (GetNScriptUnitsInArea (125, "PAT_4") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_4") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_4") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_4") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_4") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x4, y4); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x4, y4); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x4, y4); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x4, y4); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x4, y4); 

	end;

	if (GetNScriptUnitsInArea (125, "PAT_5") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_5") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_5") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_5") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_5") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x5, y5); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x5, y5); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x5, y5); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x5, y5); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x5, y5); 

	end;

	if (GetNScriptUnitsInArea (125, "PAT_6") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_6") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_6") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_6") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_6") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x6, y6); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x6, y6); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x6, y6); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x6, y6); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x6, y6); 

	end;

	if (GetNScriptUnitsInArea (125, "PAT_7") > 0)	
	or (GetNScriptUnitsInArea (126, "PAT_7") > 0)	
	or (GetNScriptUnitsInArea (127, "PAT_7") > 0)	
	or (GetNScriptUnitsInArea (128, "PAT_7") > 0)	
	or (GetNScriptUnitsInArea (129, "PAT_7") > 0) then

	SetIGlobalVar("pat_start", 1);	

	GiveCommand (3, 125); GiveQCommand (3, 125, x, y); 
	GiveCommand (3, 126); GiveQCommand (3, 126, x, y); 
	GiveCommand (3, 127); GiveQCommand (3, 127, x, y); 
	GiveCommand (3, 128); GiveQCommand (3, 128, x, y); 
	GiveCommand (3, 129); GiveQCommand (3, 129, x, y); 

	end;

end;



	
-- 4. SU-VERSTRKUNGEN



function su_verst_smila()

	if (GetNUnitsInArea(1, "DEPOT_1") < 1) then

	LandReinforcement(206);	

	su_pz_einh_bahnhof = RandomInt (5) + 201; 			-- su_pz_einh_bahnhof aktivieren

	LandReinforcement(su_pz_einh_bahnhof);	

	su_flak_bahnhof = RandomInt (4) + 207; 				

	LandReinforcement(su_flak_bahnhof);	

	Suicide();

	end;

end;

function su_verst_spola()

	if (GetNUnitsInArea(1, "BAHNHOF") < 1) 
	and (GetNUnitsInScriptGroup(112) < 1) 
	and (GetNUnitsInScriptGroup(113) < 1) then

	LandReinforcement(211);	
	LandReinforcement(212);	

	Suicide();

	end;

end;


	
-- 5. LUFTFAHRZEUGE



function lfz_aktiv()

	if (GetNUnitsInArea(0, "KARTE") > 1) then

	EnableAviation (0, 1);			-- jger
	EnableAviation (0, 3);			-- bomber
	EnableAviation (0, 4);			-- jabo

	EnableAviation (1, 1);			-- jger
	EnableAviation (1, 3);			-- bomber
	EnableAviation (1, 4);			-- jabo

	Suicide();

	end;

end;



-- 6. FUNKTIONSAKTIVERUNG



function Init()

--	RunScript( "beginn", 30000);
        RunScript( "sieg", 45000);
	RunScript( "niederlage", 60000);

        RunScript( "ziel_start", 1000, 1);
        RunScript( "ziel_ende", 15000);

        RunScript( "dt_minen", 30000, 1);
        RunScript( "dt_pz_grp", 180000);

        RunScript( "dt_inf_west", 90000, 1);
        RunScript( "dt_inf_zentrum", 180000, 1);
        RunScript( "dt_inf_ost", 360000, 1);
        RunScript( "dt_inf_smila", 720000, 1);
        RunScript( "dt_pak_smila", 1200000, 1);

end;